<cfscript>
    /**
     * Throws a developer-specified exception, which can be caught with a cfcatch tag
     * @message Message that describes exception event.
     * @type - A custom type
     *   - Application
     * Do not enter another predefined type; types are not generated by CFML applications. If you specify Application, you need not specify a type for cfcatch.
     * @detail additional detailed description of the exception.
     * @errorcode A custom error code that you supply.
     * @extendedInfo extended information to the exception.
     * @object Throws a Java exception from a CFML tag. This attribute is mutually exclusive with all other arguments of this function.
     * @cause The cause of the exception created with this tag. This can be a cfcatch block or a native java exception.
     */
    void function throw(string message, string type="application", string detail, string errorcode, string extendedInfo, object, cause) {
        ```<cfthrow attributeCollection="#arguments#" contextlevel="2">```
    }
</cfscript>